<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.egdigital.allzic"
    android:versionCode="17"
    android:versionName="2.3" >

    <uses-sdk
        android:minSdkVersion="14"
        android:targetSdkVersion="21" />

    <!-- To check internet connection status -->
    <uses-permission android:name="android.permission.INTERNET" />
    <!-- To check network state whether data can be downloaded or not -->
    <!-- To determine user’s location using WiFi and mobile cell data -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <!-- To determine user’s location using GPS -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!-- permission so the application can keep the processor from sleeping when a message is received -->
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <!-- To make the phone vibrate -->
    <uses-permission android:name="android.permission.VIBRATE" />
    <!-- know when there are phone calls -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <!-- permission as GCM requires a Google account (necessary only if if the device is running a version lower than Android 4.0.4) -->
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <!-- permission to use cachedir -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    
    <!-- push -->
    <permission
        android:name="com.egdigital.allzic.permission.C2D_MESSAGE"
        android:protectionLevel="signature" />
    <uses-permission android:name="com.google.android.c2dm.permission.RECEIVE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.GET_TASKS" />

    <application
        android:name="com.egdigital.allzic.ApplicationGlobal"
        android:allowBackup="true"
        android:icon="@drawable/icon"
        android:label="@string/app_name"
        android:largeHeap="@bool/largeheap"
        android:theme="@style/AllzicDarkTheme" >
        <activity
            android:name="com.egdigital.allzic.ui.activity.ActivityLauncher"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Sherlock.NoActionBar" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <!-- Tuto -->
        <activity
            android:name="com.egdigital.allzic.ui.activity.ActivityTuto"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Sherlock.NoActionBar" >
        </activity>

        <!-- Main -->
        <activity
            android:name="com.egdigital.allzic.ui.activity.ActivityMain"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustNothing|stateAlwaysHidden|stateHidden" >
        </activity>

        <!-- Home -->
        <activity
            android:name="com.egdigital.allzic.ui.activity.ActivityHome"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Sherlock.NoActionBar"
            android:windowSoftInputMode="stateAlwaysHidden" >
        </activity>

        <!-- Player -->
        <activity
            android:name="com.egdigital.allzic.ui.activity.ActivityPlayerNew"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" >
            <intent-filter>
                <action android:name="com.egdigital.allzik.ui.activity.ActivityPlayerNew" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <!-- Search -->
        <activity
            android:name="com.egdigital.allzic.ui.activity.ActivitySearch"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateAlwaysHidden|adjustNothing" >
        </activity>

        <!-- Setting -->
        <activity
            android:name="com.egdigital.allzic.ui.activity.ActivitySetting"
            android:screenOrientation="portrait"
            android:theme="@style/PreferenceCustomTheme" >
        </activity>

        <!-- Licences -->
        <activity
            android:name="com.egdigital.allzic.ui.activity.ActivityLegalInformation"
            android:screenOrientation="portrait" >
        </activity>

        <!-- Service radio -->
        <service android:name="com.egdigital.allzic.service.ServiceStreaming" />

        <!-- Streaming service -->
        <service android:name="com.egdigital.allzic.service.ServiceSoundManagement" />

        <!-- APPS PANEL SDK -->
        <activity
            android:name="fr.nomeo.push.APPushWebview"
            android:label="@string/app_name" />
        <activity
            android:name="fr.nomeo.push.APPushDialog"
            android:label="@string/app_name"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />

        <receiver
            android:name="com.google.android.gcm.GCMBroadcastReceiver"
            android:permission="com.google.android.c2dm.permission.SEND" >
            <intent-filter>
                <action android:name="com.google.android.c2dm.intent.RECEIVE" />
                <action android:name="com.google.android.c2dm.intent.REGISTRATION" />

                <category android:name="com.egdigital.allzic" />
            </intent-filter>
        </receiver>

        <service android:name="com.egdigital.allzic.GCMIntentService" />
        <!-- END APPS PANEL SDK -->

    </application>

</manifest>